Loading...
Searching...
No Matches
Opm::EclSpecrockLawParams< ScalarT > Class Template Reference

The default implementation of a parameter object for the ECL thermal law based on SPECROCK. More...

`#include <EclSpecrockLawParams.hpp>`

Inheritance diagram for Opm::EclSpecrockLawParams< ScalarT >:

## Public Types

using | Scalar = ScalarT

## Public Member Functions

| EclSpecrockLawParams (const EclSpecrockLawParams &)=default
template<class Container>
void | setHeatCapacities (const Container &temperature, const Container &heatCapacity)
| Specify the volumetric internal energy of rock via heat capacities.
const InternalEnergyFunction & | internalEnergyFunction () const
| Return the function which maps temparature to the rock's volumetric internal energy.
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class ScalarT>
class Opm::EclSpecrockLawParams< ScalarT >

The default implementation of a parameter object for the ECL thermal law based on SPECROCK.

## Member Function Documentation

## internalEnergyFunction()

template<class ScalarT>

const InternalEnergyFunction & Opm::EclSpecrockLawParams< ScalarT >::internalEnergyFunction | ( |  | ) | const

inline

Return the function which maps temparature to the rock's volumetric internal energy.

Currently we assume this function to be piecewise linear. (Assuming piecewise linear heat capacity, the real function is quadratic, but the difference should be negligible.)

The documentation for this class was generated from the following file:

- opm/material/thermal/EclSpecrockLawParams.hpp